<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
    <xsl:template match="/">
        <html>
            <head>
                <title>
                    Interception Benchmark Report
                </title>
            </head>
            <body text="#000000" topmargin="4" leftmargin="4" marginwidth="4" marginheight="4" bgcolor="#ffffff">
                <xsl:for-each select="//report/library">
                    <table>
                        <tr>
                            <th colspan="2">
                                <xsl:value-of select="@name"/>
                            </th>
                        </tr>
                        <tr>
                            <th>Interceptors</th>
                            <th>Fast Base</th>
                            <th>Slow Base</th>
                        </tr>
                        <xsl:for-each select="run">
                            <tr>
                                <td>
                                    <xsl:value-of select="@interceptors"/>
                                </td>
                                <td>
                                    <xsl:value-of select="fast"/>ms
                                </td>
                                <td>
                                    <xsl:value-of select="slow"/>ms
                                </td>
                            </tr>
                        </xsl:for-each>

                    </table>
                </xsl:for-each>
            </body>
        </html>
    </xsl:template>
</xsl:stylesheet>
